# tinycdb.spec: tinycdb RPM spec file.
# This is a part of tinycdb package by Michael Tokarev, mjt@corpit.ru.
# Public domain. 

Summary: A package for maintenance of constant databases
Name: tinycdb
Version: 0.5
Release: 1
Source: ftp://ftp.corpit.ru/pub/tinycdb/tinycdb-%version.tar.gz
Copyright: Public Domain
Group: System Environment/Libraries
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
tinycdb is a small, fast and reliable utility set and subroutine
library for creating and reading constant databases. The database
structure is tuned for fast reading:

 - Successful lookups take normally just two disk accesses.
 - Unsuccessful lookups take only one disk access.
 - Small disk space and memory size requirements; a database
   uses 2048 bytes for the header and 24 bytes per record.
 - Maximum database size is 4GB; individual record size is not
   otherwise limited.
 - Portable file format.
 - Fast creation of new databases.
 - No locking, updates are atomical.

This package contains both the utility and the development
files.

%prep
%setup -q

%build

make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall
(cd $RPM_BUILD_ROOT && find . -type f) | \
 sed -e 's|\.||' -e 's|$|*|' > %name.files

%files -f %name.files
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 25 2001 Michael Tokarev <mjt@corpit.ru>
- version 0.5
- added missing #include <sys/types.h> in cdb_init.c,
  thanks to ppetru@ppetru.net (Petru Paler)
- removed usage of pread() in cdb_make_find() and friends,
  suggested by Liviu Daia <Liviu.Daia@imar.ro>
- autogenerate tinycdb.spec file from template and debian/changelog
- autogenerate cdb.h from cdb.h.in (substituting version)

* Fri Jun 29 2001 Michael Tokarev <mjt@corpit.ru>
- version 0.4
- added cdb_make_put() routine to conditionnaly add a record
- split cdb library to more files (finer granularity)
- added cdb_findinit() and cdb_findnext() routines
- renamed cdbtool to cdb
- simplified cdb utility (dropped various format spec, changed options
  parsing) and a manpage
- added small note and copyright to every file in package
- added some testsuite (make test)

* Sun May 27 2001 Michael Tokarev <mjt@corpit.ru>
- version 0.3
- Initial Release.

